> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Cursor-paginated list of _CronLease



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/_cronlease/cursor
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/_cronlease/cursor:
    get:
      tags:
        - _CronLease
      summary: Cursor-paginated list of _CronLease
      operationId: list_CronLeaseByCursor
      parameters:
        - description: 'Cursor: ID of the last item from the previous page'
          in: query
          name: after
          schema:
            type: string
        - description: Maximum number of results
          in: query
          name: limit
          schema:
            default: 20
            maximum: 100
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/_CronLease'
                    type: array
                  has_more:
                    type: boolean
                  next_cursor:
                    nullable: true
                    type: string
                type: object
          description: Paginated _CronLease list
      security:
        - BearerAuth: []
components:
  schemas:
    _CronLease:
      properties:
        at:
          type: integer
        id:
          type: string
        leaseKey:
          type: string
        owner:
          type: string
      required:
        - id
        - leaseKey
        - at
        - owner
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````